> ## Documentation Index
> Fetch the complete documentation index at: https://hoalulab.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get order by ID

> Get a single order by Order ID for a sub-account.



## OpenAPI

````yaml /en/openapi/tcbs-v1.yaml get /aion/v1/accounts/{accountNo}/orders/{orderID}
openapi: 3.0.3
info:
  title: TCBS iFlash Open API
  description: REST APIs for trading stocks and derivatives on TCBS.
  version: 1.0.0
  contact:
    email: openapi@tcbs.com.vn
servers:
  - url: https://openapi.tcbs.com.vn
    description: Production
security:
  - bearerAuth: []
paths:
  /aion/v1/accounts/{accountNo}/orders/{orderID}:
    get:
      summary: Get order by ID
      description: Get a single order by Order ID for a sub-account.
      parameters:
        - name: accountNo
          in: path
          required: true
          description: Account number.
          schema:
            type: string
        - name: orderID
          in: path
          required: true
          description: Order ID.
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  object:
                    type: string
                    description: Default = 'List'.
                  pageSize:
                    type: integer
                    format: int64
                    description: Page size.
                  pageIndex:
                    type: integer
                    format: int64
                    description: Page index.
                  totalCount:
                    type: integer
                    format: int64
                    description: Total number of records.
                  data[].orderID:
                    type: string
                    description: Order ID.
                  data[].accountNo:
                    type: string
                    description: Account number.
                  data[].symbol:
                    type: string
                    description: Stock symbol.
                  data[].execType:
                    type: string
                    description: Order type (NB/NS).
                  data[].orderQtty:
                    type: number
                    format: double
                    description: Order quantity.
                  data[].execQtty:
                    type: number
                    format: double
                    description: Matched quantity.
                  data[].priceType:
                    type: string
                    description: Price type.
                  data[].limitPrice:
                    type: number
                    format: double
                    description: Order price.
                  data[].matchPrice:
                    type: number
                    format: double
                    description: Average match price.
                  data[].orStatus:
                    allOf:
                      - $ref: '#/components/schemas/StockOrderStatus'
                    description: >-
                      Order status: 0 = Rejected, 2 = Sent, 3 = Canceled, 4 =
                      Matched, 5 = Expired, 8 = Waiting, 10 = Modified, 11 =
                      Sending, 12 = Matched all, A = Modifying, C = Canceling, S
                      = Completed.
                  data[].txdate:
                    type: string
                    description: Order date (RFC 3339).
                  data[].txtime:
                    type: string
                    description: Order time.
components:
  schemas:
    StockOrderStatus:
      type: string
      description: >-
        Trạng thái lệnh cơ sở: 0 = từ chối, 2 = đã gửi, 3 = đã hủy, 4 = đã khớp,
        5 = hết hiệu lực, 8 = chờ gửi, 10 = đã sửa, 11 = đang gửi, 12 = khớp
        hết, A = đang sửa, C = đang hủy, S = hoàn tất.
      enum:
        - '0'
        - '2'
        - '3'
        - '4'
        - '5'
        - '8'
        - '10'
        - '11'
        - '12'
        - A
        - C
        - S
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.